---

- hosts: dns_servers_ns1
  tasks:
    - name: "Deploy NS1"
      include_role:
        name: bind9
      vars:
        keys: "{{ ns_keys }}"
        server_groups: "{{ ns_server_groups }}"
        master_zones: "{{ ns_master_zones }}"
        slave_zones: "{{ ns_slave_zones_ext }}"
        recursion_allowed_groups: "{{ ns_recursion_allowed_groups }}"
      tags: dns

    # TODO: create dynamic zone using base template

    # - name: "Install master zones (legacy)"
    #   copy:
    #     src: "{{ inventory_dir }}/data/tenants/{{ item.value.tenant }}/dns/zones/{{ item.key }}"
    #     dest: "/etc/named/masters/{{ item.key }}.zone"
    #     owner: root
    #     group: root
    #     mode: 0644
    #     validate: "named-checkzone {{ item.key }} %s"
    #   # skip dynamic zones
    #   when: "'update_groups' not in item.value and 'update_policy' not in item.value and 'repo' not in item.value"
    #   loop: "{{ lookup('dict', ns_master_zones) }}"
    #   notify: reload DNS system
    #   tags: dns_data

    - name: "Deploy DNS for Tenants"
      include_role:
        name: dns4tenants
      vars:
        email_from: 'noreply+d4t@osci.io'
        tenants:
          osci:
            email: "{{ d4t_error_email }}"
        repositories:
          osci_taiste:
            tenant: osci
            #url: https://gitlab.com/duck-rh/dns4tenants_osci_test.git
            url: git@gitlab.com:duck-rh/dns4tenants_osci_test.git
            zones_dir: myzones
          osci_prod:
            tenant: osci
            url: https://gitlab.com/osci/community-cage-infra-dns.git
              #    gluster:
              #tenant: gluster
              #url: https://github.com/gluster/gluster.org-dns.git
        zones: "{{ dict(ns_master_zones | dict2items | json_query('[?value.repo!=\"\"].[key, value]')) }}"
      tags: dns_tenants

    - name: "Deploy NS1 (postinst)"
      include_role:
        name: bind9
        tasks_from: postinst
      vars:
        keys: "{{ ns_keys }}"
        server_groups: "{{ ns_server_groups }}"
        master_zones: "{{ ns_master_zones }}"
        slave_zones: "{{ ns_slave_zones_ext }}"
        recursion_allowed_groups: "{{ ns_recursion_allowed_groups }}"
      tags: dns
  tags:
    - dns
    - dns_data
    - dns_tenants

- hosts: dns_servers_ns2
  tasks:
    - name: "Deploy NS2"
      include_role:
        name: bind9
      vars:
        keys: "{{ ns_keys }}"
        server_groups: "{{ ns_server_groups }}"
        slave_zones: "{{ ns_slave_zones_int | combine(ns_slave_zones_ext) }}"
        recursion_allowed_groups: "{{ ns_recursion_allowed_groups }}"

    - name: "Deploy NS2 (postinst)"
      include_role:
        name: bind9
        tasks_from: postinst
      vars:
        keys: "{{ ns_keys }}"
        server_groups: "{{ ns_server_groups }}"
        slave_zones: "{{ ns_slave_zones_int | combine(ns_slave_zones_ext) }}"
        recursion_allowed_groups: "{{ ns_recursion_allowed_groups }}"
  tags: dns

